using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class TargetedProjectile : Projectile
{
    private Vector2 _endPos;

    protected override void Start()
    {
        base.Start();
        _endPos = Target.Position;
    }

    public Vector2 EndPos { get => _endPos; set => _endPos = value; }
    public Entity Target { get => Origin.Enemy;}
}
